Main Page Namespace List Class Hierarchy Alphabetical List Compound List Namespace Members Compound Members Related Pages

# PajaTypes::Vector3C Class Reference

3D vector class. More...

`#include <Vector3C.h>`

List of all members.

## Public Methods

- Vector3C ( float32 f32X = 0, float32 f32Y = 0, float32 f32Z = 0 )
- Vector3C ( const Vector3C& rVec )
- Vector3C ( float32 f32A[3] )
- virtual ~Vector3C ()
- float32& operator[] ( int32 i )
- const float32& operator[] ( int32 i ) const
- Vector3C operator- () const
- bool operator== ( const Vector3C& rVec ) const
- bool operator!= ( const Vector3C& rVec ) const
- Vector3C& operator-= ( const Vector3C& rVec )
- Vector3C& operator+= ( const Vector3C& rVec )
- Vector3C& operator *= ( float32 f32S )
- Vector3C& operator/= ( float32 f32S )
- Vector3C operator * ( float32 f32S )
- Vector3C operator/ ( float32 f32S )
- Vector3C operator- ( const Vector3C& rVec ) const
- Vector3C operator+ ( const Vector3C& rVec ) const
- Vector3C operator * ( const Vector3C& rVec ) const
- Vector3C normalize () const
- float32 length () const
- float32 dot ( const Vector3C& v ) const
- Vector3C cross ( const Vector3C& v ) const

## Friends

- Vector3C operator * ( float32 f32S, const Vector3C& rVec )

## Detailed Description

3D vector class.

Vector3C class defines a three dimensional vector class which is used by the Demopaja system. The vector class implements standard set of methods and overdriven opertators for easy use.

This class is implemented by the system.

## Constructor & Destructor Documentation

Vector3C ( | float32 f32X = 0,
| float32 f32Y = 0,
| float32 f32Z = 0 )

| Default constructor.

Vector3C ( | const Vector3C & rVec )

| Copy constructor.

Vector3C ( | float32 f32A[3] )

| Creates a new vector with the values as the array pointed by the argument.

~Vector3C ( | )`[virtual]`

| Default destructor.

## Member Function Documentation

Vector3C cross ( | const Vector3C & v ) const

| Computes the cross product of the two vectors and returns the result.

float32 dot ( | const Vector3C & v ) const`[inline]`

| Computes the dot product of the two vectors and returns the result.

float32 length ( | ) const`[inline]`

| Returns the length of the vector.

Vector3C normalize ( | ) const

| Normalizes the vector to unit size and returns the result.

Vector3C operator * ( | const Vector3C & a ) const`[inline]`

| Multiplies the vector specified by argument from the vector and returns the result. The multiplication is done component vise (that is, each corresponding component is multiplied).

Vector3C operator * ( | float32 s )`[inline]`

| Multiplies the vector by a scalar value specified by the argument and returns the result.

Vector3C & operator *= ( | float32 s )`[inline]`

| Multiplies the vector by a scalar value specified by the argument and stores the result.

bool operator!= ( | const Vector3C & rVec ) const

| Returns true if both vectors are not equal, else false.

Vector3C operator+ ( | const Vector3C & a ) const`[inline]`

| Adds the vector specified by argument from the vector and returns the result.

Vector3C & operator+= ( | const Vector3C & a )`[inline]`

| Adds the vector specified by argument from the vector and stores the result.

Vector3C operator- ( | const Vector3C & a ) const`[inline]`

| Substracts the vector specified by argument from the vector and returns the result.

Vector3C operator- ( | ) const`[inline]`

| Negated vector.

Vector3C & operator-= ( | const Vector3C & a )`[inline]`

| Substracts the vector specified by argument from the vector and stores the result.

Vector3C operator/ ( | float32 s )`[inline]`

| Divides the vector by a scalar value specified by the argument and returns the result.

Vector3C & operator/= ( | float32 s )`[inline]`

| Divides the vector by a scalar value specified by the argument and stores the result.

bool operator== ( | const Vector3C & rVec ) const

| Returns true if both vectors are equal, else false.

const float32 & operator[] ( | int32 i ) const`[inline]`

| Returns reference to the component pointed by the index. The index values from 0 to 2 corresponds to components X, Y, and Z respectively. There are two versions of this method, this version is for retrieving the values.

float32 & operator[] ( | int32 i )`[inline]`

| Returns reference to the component pointed by the index. The index values from 0 to 2 corresponds to components X, Y, and Z respectively. There are two versions of this method, this version is to assign values.

## Friends And Related Function Documentation

Vector3C operator * ( | float32 f32S,
| const Vector3C & rVec )`[friend]`

| Multiplies the vector by a scalar value specified by the argument and returns the result.

The documentation for this class was generated from the following file:

- Vector3C.h